Skip to main content
`Ctrl`+`K`

# DMGetNumLabels

Return the number of labels defined by on the `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNumLabels(DM dm, PetscInt *numLabels)

Not Collective

## Input Parameter

- dm - The `DM` object

## Output Parameter

- numLabels - the number of Labels

## See Also

DM Basics, `DM`, `DMLabel`, `DMGetLabelByNum()`, `DMGetLabelName()`, `DMGetLabelValue()`, `DMSetLabelValue()`, `DMGetStratumIS()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/label/tutorials/ex1f90.F90
src/dm/label/tutorials/ex1.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages